Bug 14819 - md5 computed on config files
Summary: md5 computed on config files
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: setup   
(Show other bugs)
Version: 6.2
Hardware: noarch
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-28 19:45 UTC by Matt Gauthier
Modified: 2014-03-17 02:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-28 20:11:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed spec file, _WITHOUT_ updated version or changelog (4.34 KB, text/plain)
2000-07-28 20:11 UTC, Matt Gauthier
no flags Details

Description Matt Gauthier 2000-07-28 19:45:39 UTC
Currently, rpm only ignores md5, size, mtime when verifying /etc/passwd,
/etc/group, and /var/log/lastlog. There are other files in the rpm which
should not be verified however:

/etc/services - may have local services added
/etc/exports  - may have local exports added
/etc/hosts.allow - may have local access rules added
/etc/hosts.deny - may have local access rules added
/etc/motd - may have the local motd 
/etc/securetty - may have default entries edited

Pedantically speaking, some sites may need to add entries to /etc/protocols
as well, although I haven't had to myself.

Comment 1 Matt Gauthier 2000-07-28 20:11:44 UTC
Created attachment 1652 [details]
proposed spec file, _WITHOUT_ updated version or changelog

Comment 2 Bill Nottingham 2000-08-07 04:44:04 UTC
Thanks for the suggestion; some of this is done in setup-2.3.4-1.


Note You need to log in before you can comment on or make changes to this bug.